yatex stable port information

Package: yatex
Version: 1.73
Revision: 4
BuildDepends: fink (>= 0.24.12)
Depends: emacsen
Recommends: ptex3-base | tetex-base
Source: http://www.yatex.org/%n%v.tar.gz
Source-MD5: 45a9edb6d5d46089351d69fee2ba87fa
PatchFile: %n.patch
PatchFile-MD5: 3a159142c6c641e4c1c32d6e42d5c8a2
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | patch -p1
cd docs && mv yatexe yatex.info && mv yahtmle yahtml.info
cd docs && mv yatexj yatex-ja.info && mv yahtmlj yahtml-ja.info
<<
CompileScript: echo "Nothing is compiled in this section."
InstallScript: <<
install -m 755 -d %i/share/info
install -m 644 docs/{yatex,yatex-ja,yahtml,yahtml-ja}.info %i/share/info

install -m 755 -d %i/share/emacs/site-lisp/%n
install -m 644 *.el help/* %i/share/emacs/site-lisp/%n

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/50%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: 00readme install docs/{htmlqa*,qanda*,yatex.ref,yatexref.eng,*.doc}
InfoDocs: yatex.info yatex-ja.info yahtml.info yahtml-ja.info
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/50%n.el
Description: Yet Another TeX mode for Emacs
DescDetail: <<
YaTeX is an intelligent, acquisitive and integrated package which
reduces your efforts of composing LaTeX source on Emacs.

YaTeX automates typesetting and previewing of LaTeX and enables
completing input of LaTeX mark-up command such as `\begin{}'..`\end{}'.

And yahtml is the honest and bright YaTeX-compatible major-mode
package for writing HTML. If you have noticed the power of YaTeX, you
can drive yahtml over the HTML files quickly and steadily. And vice
versa, of course.
<<
License: Restrictive/Distributable
Homepage: http://www.yatex.org/
Maintainer: Todai Fink Team

yatex stable port .patch

diff -Naur yatex1.72.orig/fink/yatex-install yatex1.72/fink/yatex-install
--- yatex1.72.orig/fink/yatex-install 1970-01-01 09:00:00.000000000 +0900
+++ yatex1.72/fink/yatex-install 2006-03-22 14:12:16.000000000 +0900
@@ -0,0 +1,48 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/yatex
+
+abort_install() {
+ echo "Byte compile for ${FLAVOR} failed."
+ echo "Please check @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/CompilationLog.gz"
+ echo
+ exit 1
+}
+
+PACKAGE=yatex
+
+FLAVOR=$1
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}/
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+LOG=CompilationLog
+
+byte_compile_options="-q -batch -no-site-file -no-init-file"
+
+# don't byte-compile yatex19.el
+LISP="comment.el yatex.el yatexadd.el yatexgen.el yatexenv.el \
+ yatexlib.el yatexprc.el yatexpkg.el \
+ yatexmth.el yatexhks.el yatexhlp.el \
+ yatexm-o.el yatexsec.el yatexhie.el yahtml.el"
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "install/${PACKAGE}: Byte-compiling for ${FLAVOR}...\c"
+
+ install -m 755 -d ${ELCDIR}
+ # Copy the temp .el files
+ cp ${ELDIR}/*.el ${ELCDIR}
+
+ # Byte compile them
+ echo '(setq load-path (cons "." load-path))' > ${ELCDIR}/lp.el
+ echo '(load-file "./yatexlib.el")' >> ${ELCDIR}/lp.el
+ (cd ${ELCDIR} && ${FLAVOR} ${byte_compile_options} -l ./lp.el \
+ -e bcf-and-exit ${LISP} 2>&1 | gzip -9qf > $LOG.gz) || abort_install
+ rm ${ELCDIR}/*.el
+# use el file for yatex19 instead of yatex19.elc
+ cp ${ELDIR}/yatex19.el ${ELCDIR}
+# cp ${ELDIR}/YATEXHLP.eng ${ELCDIR}
+# cp ${ELDIR}/YATEXHLP.jp ${ELCDIR}
+ echo " done."
+fi
+
+exit 0
diff -Naur yatex1.72.orig/fink/yatex-remove yatex1.72/fink/yatex-remove
--- yatex1.72.orig/fink/yatex-remove 1970-01-01 09:00:00.000000000 +0900
+++ yatex1.72/fink/yatex-remove 2006-03-22 14:04:09.000000000 +0900
@@ -0,0 +1,19 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/remove/yatex
+
+PACKAGE=yatex
+
+FLAVOR=$1
+
+ELCDIR=@PREFIX@/share/$FLAVOR/site-lisp/$PACKAGE/
+LOG=CompilationLog
+
+if [ ${FLAVOR} != emacs ]
+ then
+ /bin/echo "remove/$PACKAGE: Removing for $FLAVOR...\c"
+# rm -f $ELCDIR/{*.elc,$LOG.gz,yatex19.el,YATEXHLP.eng,YATEXHLP.jp}
+ rm -f $ELCDIR/{*.elc,$LOG.gz,yatex19.el}
+ rmdir $ELCDIR || true
+ echo " done."
+fi
+exit 0
diff -Naur yatex1.72.orig/fink/yatex-startup yatex1.72/fink/yatex-startup
--- yatex1.72.orig/fink/yatex-startup 1970-01-01 09:00:00.000000000 +0900
+++ yatex1.72/fink/yatex-startup 2006-03-22 14:17:31.000000000 +0900
@@ -0,0 +1,122 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;
+;; @PREFIX@/etc/emacs/site-start.d/50yatex.el
+;;
+;;
+;; NOTE: Lines with tab-stop indents are indispensable for sake of
+;; the system's sanity. Editing them is discouraged.
+;;
+;;
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+ (let ((yatex-dir (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/yatex")))
+ (when (file-directory-p yatex-dir)
+ (setq load-path (cons yatex-dir load-path))
+ (autoload 'yatex-mode "yatex" "Yet Another LaTeX mode" t)
+ (autoload 'yahtml-mode "yahtml" "Yet Another HTML mode" t)
+ (setq auto-mode-alist (append '(
+
+;;;;;; [auto-mode-alist]
+;;
+;; for YaTeX
+;;
+("\\.tex$" . yatex-mode)
+("\\.ltx$" . yatex-mode)
+("\\.cls$" . yatex-mode)
+("\\.sty$" . yatex-mode)
+("\\.clo$" . yatex-mode)
+("\\.bbl$" . yatex-mode)
+
+;;
+;; for YaHTML
+;;
+;("\\.s?html?$" . yahtml-mode) ; disabled by default
+
+
+ ) auto-mode-alist))
+;;;;;; [YaTeX-japan]
+;;
+;; By default, YaTeX/YaHTML show Japanese messages if possible.
+;; You can disable this feature here.
+;;
+;(setq YaTeX-japan nil)
+
+
+
+;;;;;; [External programs]
+;;
+;; You can configure site-wide defaults of external programs here.
+;; (Those lines which are disabled show the upstream default.)
+;;
+;;
+;; YaTeX typesetting command
+;;
+;(setq tex-command
+; (cond
+; (YaTeX-use-LaTeX2e "platex")
+; (YaTeX-japan "jlatex")
+; (t "latex")))
+
+;;
+;; YaTeX BibTeX command
+;;
+;(setq bibtex-command (if YaTeX-japan "jbibtex" "bibtex"))
+
+;;
+;; YaTeX MakeIndex command
+;;
+;(setq makeindex-command "makeindex")
+
+;;
+;; YaTeX previewer command
+;;
+(setq dvi2-command "xdvi -geo +0+0 -s 6")
+
+;;
+;; YaTeX command for printing
+;; - Command line string to print out current file.
+;; Format string %s will be replaced by the filename. Do not forget to
+;; specify the `from usage' and `to usage' with their option by format
+;; string %f and %t.
+;; See also documentation of dviprint-from-format and dviprint-to-format.
+;;
+;(setq dviprint-command-format "dvi2ps %f %t %s | lpr")
+
+;; for TeX source special
+;(setq tex-command "@PREFIX@/bin/platex -src")
+;(if (load "xdvi-search" t)
+; (progn
+; (server-start)
+; (custom-set-variables
+; '(server-switch-hook (quote (raise-frame))))
+; (custom-set-faces)
+; (add-hook 'yatex-mode-hook
+; '(lambda ()
+; (define-key YaTeX-mode-map "\C-c\C-j" 'xdvi-jump-to-line)))
+; ))
+
+
+;;
+;; YaHTML lint command
+;;
+;(setq yahtml-lint-program (if YaTeX-japan "jweblint" "weblint"))
+
+;;
+;; YaHTML browser
+;;
+;(setq yahtml-www-browser "netscape")
+
+;;
+;; YaHTML image viewer
+;;
+;(setq yahtml-image-viewer "xv") ; upstream default - unavailable
+;(setq yahtml-image-viewer "gimv") ; free alternative for Debian
+
+
+
+ ))
+;;
+;; End of file `50yatex.el'
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
diff -Naur yatex1.73.orig/docs/yahtmle yatex1.73/docs/yahtmle
--- yatex1.73.orig/docs/yahtmle 2006-12-24 15:28:10.000000000 +0900
+++ yatex1.73/docs/yahtmle 2007-05-06 06:16:37.000000000 +0900
@@ -3,8 +3,10 @@
from file `yahtmle.tex'
using `texinfmt.el' version 2.32 of 19 November 1993.

-
-
+INFO-DIR-SECTION Emacs
+START-INFO-DIR-ENTRY
+* YaHTML(en): (yahtml). Yet Another HTML mode(English).
+END-INFO-DIR-ENTRY


File: yahtmle, Node: Top, Next: Intro, Prev: (dir), Up: (dir)
diff -Naur yatex1.73.orig/docs/yahtmlj yatex1.73/docs/yahtmlj
--- yatex1.73.orig/docs/yahtmlj 2006-12-24 15:28:10.000000000 +0900
+++ yatex1.73/docs/yahtmlj 2007-05-06 06:20:19.000000000 +0900
@@ -3,8 +3,10 @@
from file `yahtmlj.tex'
using `texinfmt.el' version 2.32 of 19 November 1993.

-
-
+INFO-DIR-SECTION Emacs
+START-INFO-DIR-ENTRY
+* YaHTML(ja): (yahtml-ja). Yet Another HTML mode(Japanese).
+END-INFO-DIR-ENTRY


File: yahtmlj, Node: Top, Next: Intro, Prev: (dir), Up: (dir)
diff -Naur yatex1.73.orig/docs/yatexe yatex1.73/docs/yatexe
--- yatex1.73.orig/docs/yatexe 2006-12-24 15:28:10.000000000 +0900
+++ yatex1.73/docs/yatexe 2007-05-06 06:17:18.000000000 +0900
@@ -3,8 +3,10 @@
from file `yatexe.tex'
using `texinfmt.el' version 2.32 of 19 November 1993.

-
-
+INFO-DIR-SECTION Emacs
+START-INFO-DIR-ENTRY
+* YaTeX(en): (yatex). Yet Another LaTeX mode(English).
+END-INFO-DIR-ENTRY


File: yatexe, Node: Top, Next: What is YaTeX?, Prev: (dir), Up: (dir)
diff -Naur yatex1.73.orig/docs/yatexj yatex1.73/docs/yatexj
--- yatex1.73.orig/docs/yatexj 2006-12-24 15:28:10.000000000 +0900
+++ yatex1.73/docs/yatexj 2007-05-06 06:15:21.000000000 +0900
@@ -3,8 +3,10 @@
from file `yatexj.tex'
using `texinfmt.el' version 2.32 of 19 November 1993.

-
-
+INFO-DIR-SECTION Emacs
+START-INFO-DIR-ENTRY
+* YaTeX(ja): (yatex-ja). Yet Another LaTeX mode(Japanese).
+END-INFO-DIR-ENTRY


File: yatexj, Node: Top, Next: Intro, Prev: (dir), Up: (dir)

yatex _unstable_ port .patch